Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.categorization.model
Interface VCategorizationPackage.Literals

Enclosing interface:
  VCategorizationPackage

    public static interface VCategorizationPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `ABSTRACT_CATEGORIZATION` The meta object literal for the ' `Abstract Categorization`' class.
`static org.eclipse.emf.ecore.EReference` | `ABSTRACT_CATEGORIZATION__ACTIONS` The meta object literal for the 'Actions' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `ACTION` The meta object literal for the '`Action`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ACTION__BUNDLE` The meta object literal for the 'Bundle' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ACTION__CLASS_NAME` The meta object literal for the 'Class Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `CATEGORIZABLE_ELEMENT` The meta object literal for the ' `Categorizable Element`' class.
`static org.eclipse.emf.ecore.EReference` | `CATEGORIZABLE_ELEMENT__LABEL_OBJECT` The meta object literal for the 'Label Object' reference feature.
`static org.eclipse.emf.ecore.EClass` | `CATEGORIZATION` The meta object literal for the ' `Categorization`' class.
`static org.eclipse.emf.ecore.EReference` | `CATEGORIZATION__CATEGORIZATIONS` The meta object literal for the 'Categorizations' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `CATEGORIZATION_ELEMENT` The meta object literal for the ' `Element`' class.
`static org.eclipse.emf.ecore.EReference` | `CATEGORIZATION_ELEMENT__CATEGORIZATIONS` The meta object literal for the 'Categorizations' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `CATEGORIZATION_ELEMENT__CURRENT_SELECTION` The meta object literal for the 'Current Selection' reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `CATEGORIZATION_ELEMENT__MAIN_CATEGORY_DEPTH` The meta object literal for the 'Main Category Depth' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `CATEGORY` The meta object literal for the '`Category`' class.
`static org.eclipse.emf.ecore.EReference` | `CATEGORY__COMPOSITE` The meta object literal for the 'Composite' containment reference feature.

Field Detail

### ABSTRACT_CATEGORIZATION

    static final org.eclipse.emf.ecore.EClass ABSTRACT_CATEGORIZATION

  The meta object literal for the ' `Abstract Categorization`' class.

  See Also:
    `VAbstractCategorizationImpl`, `VCategorizationPackageImpl.getAbstractCategorization()`

### ABSTRACT_CATEGORIZATION__ACTIONS

    static final org.eclipse.emf.ecore.EReference ABSTRACT_CATEGORIZATION__ACTIONS

  The meta object literal for the 'Actions' containment reference list feature.

### CATEGORIZATION

    static final org.eclipse.emf.ecore.EClass CATEGORIZATION

  The meta object literal for the ' `Categorization`' class.

  See Also:
    `VCategorizationImpl`, `VCategorizationPackageImpl.getCategorization()`

### CATEGORIZATION__CATEGORIZATIONS

    static final org.eclipse.emf.ecore.EReference CATEGORIZATION__CATEGORIZATIONS

  The meta object literal for the 'Categorizations' containment reference list feature.

### CATEGORY

    static final org.eclipse.emf.ecore.EClass CATEGORY

  The meta object literal for the '`Category`' class.

  See Also:
    `VCategoryImpl`, `VCategorizationPackageImpl.getCategory()`

### CATEGORY__COMPOSITE

    static final org.eclipse.emf.ecore.EReference CATEGORY__COMPOSITE

  The meta object literal for the 'Composite' containment reference feature.

### ACTION

    static final org.eclipse.emf.ecore.EClass ACTION

  The meta object literal for the '`Action`' class.

  See Also:
    `VActionImpl`, `VCategorizationPackageImpl.getAction()`

### ACTION__BUNDLE

    static final org.eclipse.emf.ecore.EAttribute ACTION__BUNDLE

  The meta object literal for the 'Bundle' attribute feature.

### ACTION__CLASS_NAME

    static final org.eclipse.emf.ecore.EAttribute ACTION__CLASS_NAME

  The meta object literal for the 'Class Name' attribute feature.

### CATEGORIZATION_ELEMENT

    static final org.eclipse.emf.ecore.EClass CATEGORIZATION_ELEMENT

  The meta object literal for the ' `Element`' class.

  See Also:
    `VCategorizationElementImpl`, `VCategorizationPackageImpl.getCategorizationElement()`

### CATEGORIZATION_ELEMENT__CATEGORIZATIONS

    static final org.eclipse.emf.ecore.EReference CATEGORIZATION_ELEMENT__CATEGORIZATIONS

  The meta object literal for the 'Categorizations' containment reference list feature.

### CATEGORIZATION_ELEMENT__CURRENT_SELECTION

    static final org.eclipse.emf.ecore.EReference CATEGORIZATION_ELEMENT__CURRENT_SELECTION

  The meta object literal for the 'Current Selection' reference feature.

### CATEGORIZATION_ELEMENT__MAIN_CATEGORY_DEPTH

    static final org.eclipse.emf.ecore.EAttribute CATEGORIZATION_ELEMENT__MAIN_CATEGORY_DEPTH

  The meta object literal for the 'Main Category Depth' attribute feature.

### CATEGORIZABLE_ELEMENT

    static final org.eclipse.emf.ecore.EClass CATEGORIZABLE_ELEMENT

  The meta object literal for the ' `Categorizable Element`' class.

  See Also:
    `VCategorizableElementImpl`, `VCategorizationPackageImpl.getCategorizableElement()`

### CATEGORIZABLE_ELEMENT__LABEL_OBJECT

    static final org.eclipse.emf.ecore.EReference CATEGORIZABLE_ELEMENT__LABEL_OBJECT

  The meta object literal for the 'Label Object' reference feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.